# class Treetop::Runtime::TerminalSyntaxNode

### Public Class Methods

new(input, interval) click to toggle source
Calls superclass method Treetop::Runtime::SyntaxNode.new

    # File lib/treetop/runtime/terminal_syntax_node.rb, line 5
    def initialize(input, interval)
      super(input, interval, [])
    end

### Public Instance Methods

inspect(indent="") click to toggle source

    # File lib/treetop/runtime/terminal_syntax_node.rb, line 9
    def inspect(indent="")
      indent+
        self.class.to_s.sub(/.*:/,'') +
        " offset=#{interval.first}" +
        " #{text_value.inspect}"
    end